1

I am trying to run a program, written in C++ using the new C++11 standard. I use Code::Blocks on my PC and cross-compile for the Raspberry Pi using these tools: https://github.com/raspberrypi/tools/. Everything worked OK, until I added some functions. I was using std::condition_variable::wait and it worked fine until I tried to use std::condition_variable::wait_for, which does compile, but when I try to run it on the Raspberry, it prints

./OPUI: /usr/lib/arm-linux-gnueabihf/libstdc++.so.6: version `GLIBCXX_3.4.19' not found (required by ./OPUI)

and dies (OPUI is the name of my program).

Does this mean that I cannot use these functions? If so - which functions are and which are not usable and how do I know?

Thanks!

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.